<div class="kivi-widget">
    <?php if($popup) {
        ?><div class="kivi-position-relative">
        <button class="kivi-widget-close"><i class="fas fa-times"></i></button>
    </div>
    <?php 
    }
    ?>
    
    <div class="container-fluid d-none" id="kivicare-widget-main-content">
        <div class="widget-layout" id="widgetOrders">
            <?php
            $printConfirmPage = isset($_GET['confirm_page']) && !empty($_GET['confirm_page']) ? sanitize_text_field(wp_unslash($_GET['confirm_page'])) : 'off';
            $user_id = get_current_user_id();

            if(get_option(KIVI_CARE_PREFIX.'widget_order_list')){
                $options = get_option(KIVI_CARE_PREFIX.'widget_order_list');
            }else{
                $options = kcDefaultAppointmentWidgetOrder();
            }

            foreach ($options as $key => $option) {

                //remove login/register detail tab if user already login
                if(is_user_logged_in()){
                    if ($option['att_name'] == 'detail-info') {
                        unset($options[$key]);
                    }
                }
                //remove clinic if it's preselected
                if ($shortcode_clinic_id != 0) {
                    if ($option['att_name'] == 'clinic') {
                        unset($options[$key]);
                    }
                }
                //remove doctor if it's preselected
                if ($shortcode_doctor_id_single) {
                    if ($option['att_name'] == 'doctor') {
                        unset($options[$key]);
                    }
                }
                //remove extra appointment detail tab if condition false
                if(!kcCheckExtraTabConditionInAppointmentWidget('all')){
                    if ($option['att_name'] == 'file-uploads-custom') {
                        unset($options[$key]);
                    }
                }
            }
            //left side order list
            ?>
            <div class="iq-card iq-card-lg iq-bg-primary widget-tabs" style="overflow: hidden;">
                <ul class="tab-list mb-2" id="kivicare-animate-ul">
                    <?php
                    $options = array_values($options);
                    foreach ($options as $key => $option) {
                        $activeClass = $key == 0 ? "active" : "";
                        ?>
                        <li class="tab-item <?php echo esc_html($activeClass) ?>" data-check="false">
                            <?php
                            require KIVI_CARE_DIR . 'app/baseClasses/bookAppointment/components/' . $option['att_name'] . '/tab.php';
                            ?>
                        </li>
                        <?php
                    }
                    ?>
                </ul>
                <div class="" style="margin-top: auto;">
                    <button id="kivicare_logout_btn"
                            class="iq-button iq-button-secondary w-100 mt-auto <?php echo esc_html(is_user_logged_in() ? '' : 'd-none'); ?>">
                        <?php echo esc_html__('Logout', 'kc-lang' ); ?>
                    </button>
                </div>
            </div>
            <div class="widget-pannel alert-relative">
                <span id="kivicare_server_error_msg" class="alert alert-popup alert-danger alert-left error" style="display:none">&nbsp;</span>
                <span id="kivicare_success_msg" class="alert alert-popup alert-success alert-left" style="display:none;"></span>
                <div class="iq-card iq-card-sm tab-content" id="wizard-tab">
                    <?php
                    $allPaymentMethod = kcAllPaymentMethodList();
                    $woocommerceCondition = array_key_exists('paymentWoocommerce',$allPaymentMethod);
                    $paypalEnable = array_key_exists('paymentPaypal',$allPaymentMethod);
                    $options = array_values($options);
                    foreach ($options as $key => $option) {
                        if($option['att_name'] !== 'confirm'){
                            $formEnctype=" ";
                            if ($option['att_name'] === 'clinic') {
                                $activeClass = $key == 0 ? 'active ' : '';
                                $footer = kcWidgetFooterContent('kivicare_error_msg_clinic',$activeClass);
                            } elseif ($option['att_name'] === 'doctor') {
                                $activeClass = $key == 0  ? 'active ' : '';
                                $footer = kcWidgetFooterContent('kivicare_error_msg_doctor',$activeClass);
                            } elseif ($option['att_name'] === 'category') {
                                $activeClass = $key == 0 ? "active" : "";
                                $footer = kcWidgetFooterContent('kivicare_error_msg_category',$activeClass);
                            }else if($option['att_name'] === 'date-time'){
                                $activeClass = $key == 0  ? "active" : "";
                                $footer = kcWidgetFooterContent('kivicare_error_msg_date_time',$activeClass);
                            }else if($option['att_name'] === 'file-uploads-custom'){
                                $activeClass = $key == 0  ? "active" : "";
                                $footer = kcWidgetFooterContent('kivicare_error_msg',$activeClass);
                                $formEnctype = ' enctype="multipart/form-data"';
                            }  else{
                                $activeClass = $key == 0 ? "active" : "";
                                $footer = kcWidgetFooterContent('kivicare_error_msg_login_register',$activeClass);
                            }
                            ?>
                            <div id="<?php echo esc_html($option['att_name']); ?>"
                                 class="iq-fade iq-tab-pannel <?php echo esc_html($activeClass); ?>">
                                <form <?php echo esc_html($formEnctype);?>  id="<?php echo esc_html(in_array($option['att_name'],['detail-info','file-uploads-custom']) ? ( $option['att_name'] === 'detail-info' ? 'kiviLoginRegister' : 'kivicare-file-upload-form' ) : ''); ?>"
                                                                            action="<?php echo '#' . esc_html(!empty($options[$key + 1]['att_name']) ? $options[$key + 1]['att_name'] : ''); ?>"
                                                                            data-prev="<?php echo '#' . esc_html(!empty($options[$key - 1]['att_name']) ? $options[$key - 1]['att_name'] : ''); ?>">
                                    <?php
                                    require KIVI_CARE_DIR . "app/baseClasses/bookAppointment/components/" . $option['att_name'] . "/tab-panel.php";
                                    echo $footer;
                                    ?>
                                </form>
                            </div>
                            <?php

                        }else{

                            $nextTarget = '#confirmed';
                            if($paypalEnable || $woocommerceCondition){
                                $nextTarget = '#payment_mode';
                            }
                            $footer = kcWidgetFooterContent('kivicare_error_msg_confirm','');
                            ?>
                            <div id="<?php echo esc_html($option['att_name']); ?>" class="iq-fade iq-tab-pannel">
                                <form id="confirm_detail_form" action="<?php echo esc_html($nextTarget); ?>"
                                      data-prev="#clinic">
                                    <?php
                                    require KIVI_CARE_DIR . "app/baseClasses/bookAppointment/components/" . $option['att_name'] . "/tab-panel.php";
                                    echo $footer;
                                    ?>
                                </form>
                            </div>
                            <?php
                            if($paypalEnable || $woocommerceCondition){
                                ?>
                                <div id="payment_mode" class="iq-fade iq-tab-pannel">
                                    <form id="payment_mode_form" action="#confirmed"
                                          data-prev="#confirm">
                                        <?php
                                        require KIVI_CARE_DIR . "app/baseClasses/bookAppointment/components/confirm-pay/tab-panel.php";
                                        echo kcWidgetFooterContent('kivicare_payment_mode_confirm','');
                                        ?>
                                    </form>
                                </div>
                                <div id="payment_error" class="iq-fade iq-tab-pannel">
                                    <form id="payment_error_form" action=""
                                          data-prev="#payment_mode">
                                        <?php
                                        require KIVI_CARE_DIR . "app/baseClasses/bookAppointment/components/payment-error/tab-panel.php";
                                        ?>
                                    </form>
                                </div>
                                <?php
                            }
                            ?>
                            <div id="confirmed" class="iq-fade iq-tab-pannel">
                                <?php
                                require KIVI_CARE_DIR . "app/baseClasses/bookAppointment/components/confirmed.php";
                                ?>
                            </div>
                            <?php

                        }
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
    <span id="kivicare-main-page-loader" style="background:#fff; display: flex;align-items: center;justify-content: center;">
           <?php if (isLoaderCustomUrl()) { ?>
               <img src="<?php echo esc_url(kcAppointmentWidgetLoader()); ?>">
           <?php } else { ?>
               <div class="double-lines-spinner"></div>
           <?php } ?>
    </span>
    
</div>


<script>
    var timer = '';

    <?php
    $widgetSetting = json_decode( get_option(KIVI_CARE_PREFIX.'widgetSetting'),true );
    ?>
    if('<?php echo !empty($widgetSetting['primaryColor']);?>'){
        document.documentElement.style.setProperty("--iq-primary", '<?php echo esc_js( !empty($widgetSetting['primaryColor']) ? $widgetSetting['primaryColor'] : '#7093e5' );?>');
    }

    if('<?php echo !empty($widgetSetting['primaryHoverColor']);?>'){
        document.documentElement.style.setProperty("--iq-primary-dark", '<?php echo esc_js( !empty($widgetSetting['primaryHoverColor']) ? $widgetSetting['primaryHoverColor'] : '#4367b9' );?>');
    }

    if('<?php echo !empty($widgetSetting['secondaryColor']);?>'){
        document.documentElement.style.setProperty("--iq-secondary", '<?php echo esc_js(!empty($widgetSetting['secondaryColor']) ?  $widgetSetting['secondaryColor'] : '#f68685' );?>');
    }

    if('<?php echo !empty($widgetSetting['secondaryHoverColor']);?>'){
        document.documentElement.style.setProperty("--iq-secondary-dark", '<?php echo esc_js( !empty($widgetSetting['secondaryHoverColor']) ? $widgetSetting['secondaryHoverColor'] : '#df504e' );?>');
    }
    if('<?php echo !$popup; ?>'){
        document.addEventListener('readystatechange', event => {
            if (event.target.readyState === "complete") {
                'use strict';
                kcAppointmentBookJsContent();
            }
        })
    }else{
        kcAppointmentBookJsContent();
    }

    function kcAppointmentBookJsContent(){
        (function ($) {
            $('#kivicare-widget-main-content').removeClass('d-none');
            $('#kivicare-main-page-loader').addClass('d-none');
            if('<?php echo $popup; ?>'){
                $('.kivi-widget-close').on( "click", function() {
                $.magnificPopup.close();
            });
            }
            

            if (window.matchMedia('(max-width: 768px)').matches) {
                $('.kivi-widget').css('padding','8px');
            } else {
                $('.kivi-widget').css('padding','16px');
            }
            const post = (route, data = {}, frontEnd = false, headers = {
                headers: {'Content-Type': 'application/json'}
            }) => {

                window.ajaxurl = '<?php echo esc_url(admin_url('admin-ajax.php'));?>';
                window.nonce = '<?php echo esc_js(wp_create_nonce('ajax_post'));?>';

                let url = ajaxurl;
                if (data.action === undefined) {
                    url = ajaxurl + '?action=ajax_post';
                }

                if (route === undefined) {
                    return false
                }

                if (data.append !== undefined) {
                    data.append('route_name', route);
                    data.append('_ajax_nonce', nonce)
                } else {
                    data.route_name = route;
                    data._ajax_nonce = nonce;
                }

                return new Promise((resolve, reject, headers) => {
                    axios.post(url, data, headers)
                        .then((data) => {
                            if (data.data.status_code !== undefined && data.data.status_code === 403) {
                                kivicareShowErrorMessage('kivicare_server_error_msg','<?php echo esc_html__("Route not found","kc-lang"); ?>');
                            }
                            resolve(data)
                        })
                        .catch((error) => {
                            reject(error)
                            kivicareShowErrorMessage('kivicare_server_error_msg','<?php echo esc_html__("Internal server error","kc-lang"); ?>');
                        });
                })
            }

            const get = (route, data, frontEnd = false) => {

                window.ajaxurl = '<?php echo esc_url(admin_url('admin-ajax.php'));?>';
                window.nonce = '<?php echo esc_js(wp_create_nonce('ajax_get'));?>';

                let url = ajaxurl;
                if (data.action === undefined) {
                    url = ajaxurl + '?action=ajax_get';
                }

                if (route === undefined) {
                    return false
                }

                url = url + '&route_name=' + route;
                return new Promise((resolve, reject) => {
                    axios.get(url, {params: data})
                        .then((data) => {
                            if (data.data.status_code !== undefined && data.data.status_code === 403) {
                                kivicareShowErrorMessage('kivicare_server_error_msg','<?php echo esc_html__("Route not found","kc-lang"); ?>');
                            }
                            resolve(data)
                        })
                        .catch((error) => {
                            reject(error)
                            kivicareShowErrorMessage('kivicare_server_error_msg','<?php echo esc_html__("Internal server error","kc-lang"); ?>');
                        });
                })
            }


            kivicareLoadConfirmPage('<?php echo esc_js($printConfirmPage); ?>');

            var appointmentUploadFiles = [];

            var appointment_custom_fields = { };

            var appointmentDate = '';

            var child = '';

            var payment_status = '';

            var appointment_id = '';

            var payment_select_mode = ''

            var userLogin = "<?php echo is_user_logged_in(); ?>" ? true : false

            if('<?php echo  $printConfirmPage === 'off'; ?>'){
                switch ($('.iq-fade.iq-tab-pannel.active').attr('id')){
                    case 'clinic':
                        kivicareGetClinicsLists()
                        break;
                    case 'doctor':
                        kivicareGetDoctorLists()
                        break;
                    case 'category':
                        kivicareGetServiceLists()
                        break;
                }
            }

            $(document).on('click', '#kivicare_logout_btn', function () {
                let logoutElement = $("#kivicare_logout_btn");
                logoutElement.prop('disabled', true);
                logoutElement.html('<?php echo esc_html__('Loading....','kc-lang'); ?>');
                post('logout', {}).then((response) => {
                    if (response.data.status !== undefined && response.data.status === true) {
                        setTimeout(function(){
                            //window.location.href = "<?php //echo esc_url(remove_query_arg('confirm_page'))?>//"
                            location.reload();
                        }, 1000);
                    }else{
                        logoutElement.prop('disabled', false);
                        logoutElement.html('<?php echo esc_html__('Logout','kc-lang'); ?>');
                    }
                }).catch((error) => {
                    logoutElement.prop('disabled', false);
                    logoutElement.html('<?php echo esc_html__('Logout','kc-lang'); ?>');
                    kivicareShowErrorMessage('kivicare_error_msg','<?php echo esc_html__("Internal server error","kc-lang"); ?>');
                })
            })

            $(document).on('click', '[data-toggle="active"]', function () {
                $(this).toggleClass('active');
            })

            $("#clinicSearch").keyup(function () {
                kivicareGetClinicsLists(this.value)
            });

            $("#doctorSearch").keyup(function () {
                kivicareGetDoctorLists( this.value)
            });

            $("#serviceSearch").keyup(function () {
                kivicareGetServiceLists( this.value)
            });

            $(document).on('click', '[data-step="next"]', function (e) {
                var perviousTab = $('.iq-tab-pannel.active').find('form').attr('data-prev');
                var target = $('.iq-tab-pannel.active').find('form').attr('action');
                removeTabActiveLink($(`[href="${target}"]`).closest('.tab-item'));
                var currentTab = $('.iq-tab-pannel.active').find('form').closest('.iq-tab-pannel').attr('id')
                switch (currentTab){
                    case 'clinic':
                        e.preventDefault();
                        var selected_clinic = kivicareGetSelectedItem('selected-clinic');
                        if (selected_clinic == 0) {
                            kivicareShowErrorMessage('kivicare_error_msg_clinic','<?php echo esc_html__('Select Clinic', 'kc-lang') ?>');
                            return;
                        }else{
                            if (target == '#doctor') {
                                kivicareGetDoctorLists()
                            } else if (target == '#category') {
                                kivicareGetServiceLists()
                            }
                        }
                        break;
                    case 'doctor':
                        e.preventDefault();
                        var selected_doctor =  kivicareGetSelectedItem('selected-doctor');
                        if (selected_doctor == 0) {
                            kivicareShowErrorMessage('kivicare_error_msg_doctor','<?php echo esc_html__('Select Doctor', 'kc-lang') ?>');
                            return;
                        }else{
                            if (target == '#category' ) {
                                kivicareGetServiceLists()
                            } else if (target == '#clinic') {
                                kivicareGetClinicsLists()
                            }
                        }
                        break;
                    case 'category':
                        e.preventDefault();
                        var name = $('.selected-service');
                        var selected = 0;
                        var selected_service = [];
                        for (var i = 0; i < name.length; i++) {
                            if (name[i].checked == true) {
                                selected = selected + 1;
                                selected_service.push(name[i].attributes.doctor_id.nodeValue)
                            }
                        }
                        if (selected == 0) {
                            kivicareShowErrorMessage('kivicare_error_msg_category','<?php echo esc_html__('Select Category', 'kc-lang') ?>');
                            return;
                        }else{
                            if (target == '#doctor') {
                                kivicareGetDoctorLists()
                            }else if(target == '#clinic'){
                                kivicareGetClinicsLists()
                            }
                        }
                        break;
                    case 'date-time':
                        e.preventDefault();
                        var select_time = kivicareGetSelectedItem('selected-time');
                        if (select_time == 0) {
                            kivicareShowErrorMessage('kivicare_error_msg_date_time','<?php echo esc_html__('Select Date and Time', 'kc-lang') ?>');
                            return;
                        }
                        if(userLogin){
                            if('<?php echo kcCheckExtraTabConditionInAppointmentWidget('all');?>'){
                                target = '#file-uploads-custom';
                            }else{
                                target = '#confirm';
                            }
                        }
                        break;
                    case 'file-uploads-custom':
                        $('#customFieldsListAppointment .kivicare-required').prop('required',true);
                        $.each( $('#customFieldsListAppointment').find(':input:checkbox').parent().parent(), function(key,value) {
                            let cbx_group = $(value).find(':input:checkbox');
                            if(cbx_group.is(":checked")){
                                cbx_group.prop('required', false);
                            }
                        });

                        if (!$("#kivicare-file-upload-form")[0].checkValidity()){
                            return
                        }
                        appointment_custom_fields = kivicareCustomFieldsData('customFieldsListAppointment');
                        if(userLogin){
                            target = '#confirm';
                            console.log(target);
                        }
                        e.preventDefault();
                        break;
                    case 'detail-info':
                        var formName = document.getElementsByClassName('authActive active')
                        for (var i = 0; i < formName.length; i++) {
                            if (formName[i].id == 'login') {
                                $('#kivicare-login-form input').prop('required',true);
                                $('#kivicare-register-form input,textarea, select').prop('required',false);

                                if (!$("#kiviLoginRegister")[0].checkValidity()){
                                    return
                                }

                                var result = { };
                                $.each($('#kivicare-login :input').serializeArray(), function() {
                                    result[this.name] = this.value;
                                });
                                e.preventDefault();
                                kivicareButtonDisableChangeText('#kiviLoginRegister',true,'<?php echo esc_html__('Loading....','kc-lang');?>')
                                post('appointmentLogin', result, true)
                                    .then((response) => {
                                        kivicareButtonDisableChangeText('#kiviLoginRegister',false,'<?php echo esc_html__('Login','kc-lang');?>');
                                        if (response.data.status) {
                                            userLogin = true
                                            $("#kivicare_logout_btn").removeClass('d-none');
                                            kivicareShowErrorMessage('kivicare_success_msg',response.data.message);
                                            showConfirmPage(target, currentTab)
                                            $(`[href="#${currentTab}"]`).closest('.tab-item').attr('data-check', true)
                                            $(`[href="${target}"]`).closest('.tab-item').addClass('active')
                                            tabShow(target);

                                        } else {
                                            kivicareShowErrorMessage('kivicare_error_msg_login_register',response.data.message);
                                        }
                                    }).catch((error) => {
                                    kivicareButtonDisableChangeText('#kiviLoginRegister',false,'<?php echo esc_html__('Login','kc-lang');?>')
                                    console.log(error);
                                    kivicareShowErrorMessage('kivicare_error_msg_login_register','<?php echo esc_html__("Internal server error","kc-lang"); ?>');
                                })
                            }
                            if (formName[i].id == 'register') {
                                $('#kivicare-login-form input').prop('required',false);
                                $('#kivicare-register input').prop('required',true);
                                $('#customFieldsList .kivicare-required').prop('required',true);
                                $.each( $('#customFieldsList').find(':input:checkbox').parent().parent(), function(key,value) {
                                    let cbx_group = $(value).find(':input:checkbox');
                                    if(cbx_group.is(":checked")){
                                        cbx_group.prop('required', false);
                                    }
                                });

                                if (!$("#kiviLoginRegister")[0].checkValidity()){
                                    return
                                }

                                var result = { };
                                $.each($('#kivicare-register :input').serializeArray(), function() {
                                    result[this.name] = this.value;
                                });

                                var custom_fields = kivicareCustomFieldsData('customFieldsList');
                                kivicareButtonDisableChangeText('#kiviLoginRegister',true,'<?php echo esc_html__('Loading....','kc-lang');?>')
                                e.preventDefault();
                                result['clinic'] = [
                                    {
                                        id: kivicareGetSelectedItem('selected-clinic')
                                    }
                                ];
                                post('register', {...result,...{custom_fields}}, true)
                                    .then((response) => {
                                        kivicareButtonDisableChangeText('#kiviLoginRegister',false,'<?php echo esc_html__('Register','kc-lang');?>')
                                        if (response.data.status) {
                                            userLogin = true
                                            $("#kivicare_logout_btn").removeClass('d-none');
                                            kivicareShowErrorMessage('kivicare_success_msg',response.data.message);
                                            showConfirmPage(target, currentTab)
                                            $(`[href="#${currentTab}"]`).closest('.tab-item').attr('data-check', true)
                                            $(`[href="${target}"]`).closest('.tab-item').addClass('active')
                                            tabShow(target);
                                        }else{
                                            kivicareShowErrorMessage('kivicare_error_msg_login_register',response.data.message);
                                        }
                                    }).catch((error) => {
                                    kivicareButtonDisableChangeText('#kiviLoginRegister',false,'<?php echo esc_html__('Register','kc-lang');?>')
                                    console.log(error);
                                    kivicareShowErrorMessage('kivicare_error_msg_login_register','<?php echo esc_html__("Internal server error","kc-lang"); ?>');
                                })
                            }
                        }
                        return;
                        break;
                    case 'confirm':
                        e.preventDefault();
                        if(target !== '#payment_mode'){
                            kivicareBookAppointment(this,'paymentOffline');
                            return;
                        }else{
                            showPaymentPage();
                        }
                        break;
                    case 'payment_mode':
                        e.preventDefault();
                        if( $('#payment_mode input:radio[name="payment_option"]:checked').length == 0 ){
                            kivicareShowErrorMessage('kivicare_payment_mode_confirm','<?php echo esc_html__('Select Payment Mode', 'kc-lang') ?>');
                        }else{
                            kivicareBookAppointment(this,$('#payment_mode input:radio[name="payment_option"]:checked').attr('id'));
                        }
                        return
                        break;
                }

                switch(target){
                    case '#confirm':
                        showConfirmPage(target, currentTab);
                        break;
                    case '#file-uploads-custom':
                        if('<?php echo esc_js(isKiviCareProActive()); ?>'){
                            get('get_appointment_custom_field', {doctor_id: kivicareGetSelectedItem('selected-doctor')}, true)
                                .then((res) => {
                                    if(res.data.status !== undefined && res.data.status){
                                        document.getElementById('customFieldsListAppointment').innerHTML = res.data.data
                                    }
                                }).catch((error) => {
                                console.log(error);
                            })
                        }
                        break;
                    case '#date-time':
                        kivicareGetDoctorWeekday(kivicareGetSelectedItem('selected-doctor'));
                        break;
                    case '#confirmed':
                        jQuery('[href="#confirm"]').closest('.tab-item').removeClass('active');
                        break;
                }

                $(`[href="#${currentTab}"]`).closest('.tab-item').attr('data-check', true)
                $(`[href="${target}"]`).closest('.tab-item').addClass('active')
                if(target != '#confirm'){
                    tabShow(target);
                }
            })

            $(document).on('click', '[data-step="prev"]', function (e) {
                e.preventDefault();
                let target = $('.iq-tab-pannel.active').find('form').attr('data-prev');
                const currentTab = $('.iq-tab-pannel.active').find('form').closest('.iq-tab-pannel').attr('id')
                $(`[href="#${currentTab}"]`).closest('.tab-item').attr('data-check', false)
                $(`[href="#${currentTab}"]`).closest('.tab-item').removeClass('active')
                if (currentTab == 'confirm') {
                    if('<?php echo kcCheckExtraTabConditionInAppointmentWidget('all');?>'){
                        target = '#file-uploads-custom';
                    }else{
                        target = '#date-time';
                    }
                }else if (currentTab == 'detail-info'){
                    if('<?php echo kcCheckExtraTabConditionInAppointmentWidget('all');?>'){
                        target = '#file-uploads-custom';
                    }else{
                        target = '#date-time';
                    }
                }else if(currentTab == 'clinic' || currentTab == 'doctor'){
                    $('.iq-tab-pannel.active').find('form').find('input[type="radio"]').prop('checked', false);
                }else if(currentTab == 'category'){
                    $('.iq-tab-pannel.active').find('form').find('input[type="checkbox"]').prop('checked', false);
                    tabShow(target);
                }
                $(`[href="${target}"]`).closest('.tab-item').addClass('active')
                $(`[href="${target}"]`).closest('.tab-item').attr('data-check', false)
                tabShow(target);

            })

            $(document).on('change', '.selected-service-single', function (e) {
                if(this.checked) {
                    $('.selected-service').prop('checked', false);
                    $(this).prop('checked', true);
                    if($(this).attr('multipleservice') == 'no'){
                        $('.selected-service').prop('disabled', true);
                        $(this).prop('disabled', false);
                    }
                    $('.iq-tab-pannel.active').find('form').find('[data-step="next"]').trigger('click');
                }else{
                    if($(this).attr('multipleservice') == 'no'){
                        $('.selected-service').prop('disabled', false);
                    }
                }
            })

            $(document).on('change', '.kivicare-doctor-widget', function (e) {
                $('.iq-tab-pannel.active').find('form').find('[data-step="next"]').trigger('click');
            })

            $(document).on('change', '.selected-time', function (e) {
                $('.iq-tab-pannel.active').find('form').find('[data-step="next"]').trigger('click');
            });

            $(document).on('change', '.selected-clinic', function (e) {
                $('.iq-tab-pannel.active').find('form').find('[data-step="next"]').trigger('click');
            })

            function showConfirmPage(target, currentTab){
                var name = $('.selected-service');
                var selectedService = [];
                let  description = document.getElementById('appointment-descriptions-field');
                description = description !== null ? description.value : ''

                for (var i = 0; i < name.length; i++) {
                    if (name[i].checked == true) {
                        selectedService.push(name[i].attributes.service_id.nodeValue)
                    }
                }
                setTimeout(() => {
                    post('appointment_confirm_page',{clinic_id:kivicareGetSelectedItem('selected-clinic'),doctor_id:kivicareGetSelectedItem('selected-doctor'),service_list:selectedService,time:kivicareGetSelectedItem('selected-time'),date:appointmentDate,description:description,file:appointmentUploadFiles, custom_field:appointment_custom_fields})
                        .then((response) =>{
                            $('#kivi_confirm_page').removeClass('d-none')
                            $('#confirm_loader').addClass('d-none')
                            if(response.data.status){
                                document.getElementById('kivi_confirm_page').innerHTML = response.data.data
                            }
                        }).catch((error) => {
                        $('#kivi_confirm_page').removeClass('d-none')
                        $('#confirm_loader').addClass('d-none')
                        console.log(error);
                        kivicareShowErrorMessage('kivicare_error_msg_confirm','<?php echo esc_html__("Internal server error","kc-lang"); ?>');
                    })

                    $(`[href="#${currentTab}"]`).closest('.tab-item').attr('data-check', true)
                    $(`[href="${target}"]`).closest('.tab-item').addClass('active')
                    tabShow(target);
                },'<?php echo is_user_logged_in() ?>' ? 100 : 1000)
            }

            // Tab script
            $('[data-iq-toggle="tab"]').on('click', function (e) {
                if($(this).attr('href') === '#login'){
                    $(this).closest('form').find('button[data-step="next"]').html('<?php echo esc_html__('login','kc-lang'); ?>');
                }
                if($(this).attr('href') === '#register'){
                    $(this).closest('form').find('button[data-step="next"]').html('<?php echo esc_html__('register','kc-lang'); ?>');
                }

                e.preventDefault();
                const tab_id = $(this).attr('href');
                if ($(this).attr('data-iq-tab') !== 'prevent') {
                    $(this).closest('.tab-item').find('.tab-link.active').removeClass('active')
                    activeNavItem($(this));
                    tabShow(tab_id);
                    removeTabActiveLink($(this));
                }
            });

            function activeNavItem(navlink) {
                $(navlink).addClass('active');
                $(navlink).closest('.tab-item').addClass('active');
            }

            function removeTabActiveLink(target) {
                $(target).closest('.tab-item').siblings().removeClass('active')
            }

            // Model script
            $(document).on('click', '[data-toggle="modal"]', function () {
                const target = $(this).data('target');
                showModal(target);
            })

            function showModal(target) {
                $('.modal').removeClass('show');
                $(target).addClass('show');
                const event = new CustomEvent('modalShown', {
                    detail: {
                        target: target,
                    },
                })
                document.dispatchEvent(event);
            }

            function kivicareGetDoctorLists( searchKey_in=''){
                let doctorLists = document.getElementById("doctorLists");
                doctorLists.classList.remove('card-list');
                kivicareAddLoader(doctorLists);
                var name = $('.selected-service');
                var service_id = [];
                if(name.length > 0){
                    for (var i = 0; i < name.length; i++) {
                        if (name[i].checked == true) {
                            service_id.push(name[i].attributes.service_id.nodeValue)
                        }
                    }
                }
                get('get_clinic_selected_details', {
                    clinic_id: kivicareGetSelectedItem('selected-clinic'),
                    service_id: service_id,
                    searchKey: searchKey_in
                }, true)
                    .then((res) => {
                        doctorLists.innerHTML = '';
                        if (res.data.status !== undefined && res.data.status) {
                            doctorLists.classList.add('card-list');
                            doctorLists.innerHTML = res.data.data;
                        } else {
                            doctorLists.innerHTML = `<p class="loader-class">  <?php echo esc_html__('No Doctor Available', 'kc-lang');?> </p>`
                        }
                    }).catch((error) => {
                    console.log(error);
                    kivicareShowErrorMessage('kivicare_error_msg','<?php echo esc_html__("Internal server error","kc-lang"); ?>');
                })
            }

            function kivicareGetClinicsLists(searchKey_in=''){
                let clinicCard = document.getElementById("clinicLists");
                clinicCard.classList.remove('card-list');
                kivicareAddLoader(clinicCard);
                var name = $('.selected-service');
                var service_id = [];
                if(name.length > 0){
                    for (var i = 0; i < name.length; i++) {
                        if (name[i].checked == true) {
                            service_id.push(name[i].attributes.service_id.nodeValue)
                        }
                    }
                }
                get('get_clinic_details_appointment', {
                    doctor_id: kivicareGetSelectedItem('selected-doctor'),
                    service_id:service_id,
                    searchKey: searchKey_in
                }, true)
                    .then((res) => {
                        clinicCard.innerHTML = '';
                        if (res.data.status !== undefined && res.data.status) {
                            clinicCard.classList.add('card-list');
                            clinicCard.innerHTML = res.data.data;
                        } else {
                            clinicCard.innerHTML = `<p class="loader-class">  <?php echo esc_html__('No Clinic Available', 'kc-lang');?> </p>`
                        }
                    }).catch((error) => {
                    console.log(error);
                    kivicareShowErrorMessage('kivicare_error_msg','<?php echo esc_html__("Internal server error","kc-lang"); ?>');
                })
            }

            function kivicareGetServiceLists(searchKey_in){
                let serviceLists = document.getElementById("serviceLists");
                kivicareAddLoader(serviceLists);
                get('service_list', {
                    doctor_id: kivicareGetSelectedItem('selected-doctor'),
                    searchKey: searchKey_in,
                    widgetType: 'phpWidget',
                    clinic_id:kivicareGetSelectedItem('selected-clinic')
                }, true)
                    .then((res) => {
                        serviceLists.innerHTML = '';
                        if (res.data.status !== undefined && res.data.status) {
                            serviceLists.innerHTML = res.data.html;
                        } else {
                            serviceLists.innerHTML = `<p class="loader-class"> <?php echo esc_html__('No service Available', 'kc-lang'); ?>  </p>`
                        }
                    }).catch((error) => {
                    console.log(error);
                    kivicareShowErrorMessage('kivicare_error_msg','<?php echo esc_html__("Internal server error","kc-lang"); ?>');
                })
            }

            function kivicareGetSelectedItem(element){
                let defaultSelected = 0 ;
                if( element === 'selected-clinic'){
                    if('<?php echo esc_js($shortcode_clinic_id != 0); ?>'){
                        return '<?php echo esc_js($shortcode_clinic_id); ?>'
                    }
                }

                if(element === 'selected-doctor'){
                    if('<?php echo esc_js($shortcode_doctor_id_single); ?>'){
                        return '<?php echo esc_js($shortcode_doctor_id); ?>'
                    }
                }

                let tempElement = $('.'+element);
                if (tempElement.length > 0) {
                    for (let i = 0; i < tempElement.length; i++) {
                        if (tempElement[i].checked == true) {
                            defaultSelected = tempElement[i].value;
                        }
                    }
                }
                return defaultSelected;
            }
            function kivicareShowErrorMessage(element,message){
                document.getElementById(element).style.display = 'block';
                if(message !== ''){
                    document.getElementById(element).innerHTML = message;
                }
                setTimeout(() => {
                    document.getElementById(element).style.display = 'none';
                }, 3000);
            }

            function kivicareGetDoctorWeekday(id) {
                $('#doctor-datepicker-loader').removeClass('d-none');
                $('.doctor-session-error').addClass('d-none');
                $('.iq-kivi-calendar-slot').addClass('d-none')
                let selected_clinic = kivicareGetSelectedItem('selected-clinic');
                let doctorWorkdayajaxData = {
                    clinic_id: selected_clinic,
                    doctor_id: id,
                    type: 'flatpicker'
                }
                get('get_doctor_workdays', doctorWorkdayajaxData)
                    .then((response) => {
                        if (response.data.status !== undefined && response.data.status === true) {
                            let restrictionData = <?php echo json_encode(kcAppointmentRestrictionData());?>;
                            let days = response.data.data;
                            if([0,1,2,3,4,5,6].every(r => days.includes(r))){
                                $('.doctor-session-error').removeClass('d-none');
                                $('.doctor-session-loader').addClass('d-none');
                                $('#doctor-datepicker-loader').addClass('d-none');
                                $('.iq-kivi-calendar-slot').addClass('d-none')
                            }else{
                                $('.iq-kivi-calendar-slot').removeClass('d-none')
                                $('.doctor-session-loader').addClass('d-none');
                                $('.doctor-session-error').addClass('d-none');
                                $('#doctor-datepicker-loader').addClass('d-none');
                                flatpickr(".iq-inline-datepicker", {
                                    // Inline flatpicker
                                    inline: true,
                                    minDate:new Date().fp_incr(restrictionData.pre_book),
                                    maxDate:new Date().fp_incr(restrictionData.post_book),
                                    disable: [
                                        function (date) {
                                            return ((days.includes(0) && date.getDay() === 0)
                                                || (days.includes(1) && date.getDay() === 1)
                                                || (days.includes(2) && date.getDay() === 2)
                                                || (days.includes(3) && date.getDay() === 3)
                                                || (days.includes(4) && date.getDay() === 4)
                                                || (days.includes(5) && date.getDay() === 5)
                                                || (days.includes(6) && date.getDay() === 6)
                                            );
                                        }
                                    ],
                                    locale: {
                                        weekdays: {
                                            shorthand: [
                                                "<?php echo esc_html__('Sun', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Mon', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Tue', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Wed', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Thu', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Fri', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Sat', 'kc-lang'); ?>"
                                            ],
                                            longhand: [
                                                "<?php echo esc_html__('Sunday', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Monday', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Tuesday', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Wednesday', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Thursday', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Friday', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Saturday', 'kc-lang'); ?>"
                                            ],
                                        },
                                        months: {
                                            shorthand: [
                                                "<?php echo esc_html__('Jan', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Feb', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Mar', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Apr', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('May', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Jun', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('July', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Aug', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Sep', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Oct', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Nov', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('Dec', 'kc-lang'); ?>"
                                            ],
                                            longhand: [
                                                "<?php echo esc_html__('January', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('February', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('March', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('April', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('May', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('June', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('July', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('August', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('September', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('October', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('November', 'kc-lang'); ?>",
                                                "<?php echo esc_html__('December', 'kc-lang'); ?>"
                                            ],
                                        },
                                    },
                                    shorthandCurrentMonth: true,
                                    onChange: function (selectedDates, dateStr, instance) {
                                        let timeSlotListsElement = document.getElementById("timeSlotLists");
                                        timeSlotListsElement.classList.remove('d-grid');
                                        kivicareAddLoader(timeSlotListsElement);
                                        let selected_clinic = kivicareGetSelectedItem('selected-clinic');
                                        let selected_doctor = kivicareGetSelectedItem('selected-doctor');
                                        $('#timeSlotLists').css('height','100%');
                                        $('#timeSlotLists').parent().css('height','400px');
                                        appointmentDate = dateStr;

                                        let timeSlotAjaxData = {
                                            doctor_id: selected_doctor,
                                            clinic_id: selected_clinic,
                                            date: dateStr,
                                            widgetType: 'phpWidget'
                                        }
                                        get('get_time_slots', timeSlotAjaxData)
                                            .then((res) => {
                                                if (res.data.status !== undefined && res.data.status) {
                                                    $('#timeSlotLists').css('height','');
                                                    $('#timeSlotLists').parent().css('height','');
                                                    timeSlotListsElement.classList.add('d-grid');
                                                    timeSlotListsElement.innerHTML = res.data.html;
                                                } else if (res.data.status !== undefined && !res.data.status) {
                                                    timeSlotListsElement.innerHTML = `<p class="loader-class">` + res.data.message + `</p>`;
                                                }

                                            }).catch((error) => {
                                            console.log(error);
                                            kivicareShowErrorMessage('kivicare_error_msg','<?php echo esc_html__("Internal server error","kc-lang"); ?>');
                                        })

                                        $('.iq-inline-datepicker').addClass('d-none')
                                    },
                                });
                            }
                        }
                    })
                    .catch((error) => {
                        console.log(error);
                        kivicareShowErrorMessage('kivicare_error_msg','<?php echo esc_html__("Internal server error","kc-lang"); ?>');
                    })
            }

            function kivicareAddLoader(ele) {
                ele.innerHTML = `<span class="loader-class" id="doctor_loader">
                                        <?php  if(isLoaderCustomUrl()){?>
                                            <img src="<?php echo esc_url(kcAppointmentWidgetLoader()); ?>">

                                        <?php }else{            ?>
                                            <div class="double-lines-spinner"></div>
                                        <?php } ?>
                                    </span>`
            }

            $(document).on('change', '#kivicareaddMedicalReport', function (e) {
                document.getElementById('kivicare_file_upload_review').innerHTML = '';
                appointmentUploadFiles = [];
                let form_id = document.getElementById('kivicare-file-upload-form')
                let formData = new FormData(form_id);
                kivicareButtonDisableChangeText('#kivicare-file-upload-form',true,'<?php echo esc_html__('Uploading.......','kc-lang');?>')
                post('upload_multiple_report', formData)
                    .then((response) => {
                        kivicareButtonDisableChangeText('#kivicare-file-upload-form',false,'<?php echo esc_html__('Next','kc-lang');?>')
                        if(response.data.status !== undefined && response.data.status === true){
                            if(response.data.data.length > 0) {
                                kivicareShowErrorMessage('kivicare_success_msg',response.data.message);
                                appointmentUploadFiles = response.data.data
                                document.getElementById('kivicare_file_upload_review').innerHTML = response.data.html;
                            }
                        }else{
                            kivicareShowErrorMessage('kivicare_error_msg',response.data.message);
                        }
                    })
                    .catch((error) => {
                        kivicareButtonDisableChangeText('#kivicare-file-upload-form',false,'<?php echo esc_html__('Next','kc-lang');?>')
                        kivicareShowErrorMessage('kivicare_error_msg','<?php echo esc_html__("Internal server error","kc-lang"); ?>');
                    })
            })

            function kivicareLoadConfirmPage(value){
                if(value !== 'off'){
                    kivicarePrintContent(value);
                    if($('#widgetOrders').length > 0){
                        $('#widgetOrders').find('ul li').each( function (key,value){
                            $(this).removeClass('active')
                            $(this).attr('data-check',true)
                        })
                    }
                    if($('#widgetOrders').length > 0){
                        $('#widgetOrders').find('.widget-pannel #wizard-tab').each( function (key,value){
                            $(this).find('div').removeClass('active')

                            if($(this).find('#confirmed')){
                                $(this).find('#confirmed').addClass('active')
                            }
                        })
                    }
                }
            }

            function kivicareCustomFieldsData(ele){
                var custom_fields = { };
                $.each($('#'+ele).find('select, textarea, :input:not(:checkbox)').serializeArray(), function() {
                    custom_fields[this.name] = this.value;
                });
                var temp = [];
                var temp2= '';
                $.each($('#'+ele).find(':input:checkbox').serializeArray(), function(key,value) {
                    if(temp2 !== value.name){
                        temp = [];
                    }
                    temp.push(value.value)
                    custom_fields[value.name] = temp;
                    temp2 = value.name;
                });
                return custom_fields;
            }

            function kivicareBookAppointment(_this,payment_mode){
                payment_select_mode = payment_mode;
                var visit_type_data = [];
                var name3 = $('.selected-service');
                var visit_type;
                for (let i = 0; i < name3.length; i++) {
                    if (name3[i].checked == true) {
                        visit_type = {
                            'id': name3[i].value,
                            'service_id': name3[i].attributes.service_id.nodeValue,
                            'name' : name3[i].attributes.service_name.nodeValue,
                            'charges' : name3[i].attributes.service_price.nodeValue
                        }
                        visit_type_data.push(visit_type)
                    }
                }

                let  description = document.getElementById('appointment-descriptions-field');
                description = description !== null ? description.value : ''

                let formElement = $(_this).parents('form');
                let opacityChangeElement = formElement;
                let messageSpanElementId = $(formElement).find('.card-widget-footer span').attr('id');
                let overlaySpinElement = $(formElement).find('.kivi-overlay-spinner');
                if(formElement.attr('id') !== 'payment_mode_form'){
                    opacityChangeElement = $(formElement).find('.kivi-col-6')
                }
                $(opacityChangeElement).css('opacity','0.5')
                kivicareButtonDisableChangeText(formElement,true,'<?php echo esc_html__('Loading ...','kc-lang');?>');
                kivicareButtonDisableBackButton(formElement,true);
                $(overlaySpinElement).removeClass('d-none');
                document.getElementById(messageSpanElementId).style.display = 'none';

                post('save_appointment', {
                    appointment_start_date: appointmentDate,
                    appointment_start_time: kivicareGetSelectedItem('selected-time'),
                    visit_type: visit_type_data,
                    patient_id: '<?php echo esc_js(get_current_user_id());?>',
                    doctor_id: {id: kivicareGetSelectedItem('selected-doctor')},
                    clinic_id: {id: kivicareGetSelectedItem('selected-clinic')},
                    status: 1,
                    enableTeleMed: '',
                    file:appointmentUploadFiles,
                    custom_fields:appointment_custom_fields,
                    description:description,
                    widgetType:'<?php echo esc_html($popup ? 'popupPhpWidget' : 'phpWidget');  ?>',
                    payment_mode:payment_mode
                })
                    .then((response) => {
                        if (response.data.status !== undefined && response.data.status === true) {
                            let checkWoocommerceCart = response.data;
                            if (checkWoocommerceCart.woocommerce_cart_data !== undefined) {
                                if(checkWoocommerceCart.woocommerce_cart_data.woocommerce_redirect !== undefined) {
                                    if(payment_mode === 'paymentPaypal'){
                                        child = window.open(
                                            checkWoocommerceCart.woocommerce_cart_data.woocommerce_redirect,
                                            '_blank',
                                            'toolbar=0,status=0,width=360,height=500,top=100,left=' +
                                            (window.screen ? Math.round(screen.width / 2 - 275) : 100)
                                        );
                                        appointment_id = response.data.data.id
                                        timer = setInterval(checkChildWindow, 500);
                                        return;
                                    }else{
                                        location.href = checkWoocommerceCart.woocommerce_cart_data.woocommerce_redirect ;
                                    }
                                }
                            }else{
                                kivicarePrintContent(response.data.data.id)
                                $(`[href="#confirmed"]`).closest('.tab-item').attr('data-check', true)
                                $(`[href="#confirmed"]`).closest('.tab-item').addClass('active')
                                tabShow('#confirmed');
                            }
                        } else {
                            let message = response.data.message !== undefined ? response.data.message : '<?php echo esc_html__("Internal server error","kc-lang"); ?>';
                            kivicareShowErrorMessage(messageSpanElementId,message);
                        }
                        kivicareButtonDisableChangeText(formElement,false,'<?php echo esc_html__('Confirm','kc-lang');?>');
                        $(opacityChangeElement).css('opacity','');
                        $(overlaySpinElement).addClass('d-none');
                    }).catch((error) => {
                    kivicareButtonDisableChangeText(formElement,false,'<?php echo esc_html__('Confirm','kc-lang');?>');
                    $(opacityChangeElement).css('opacity','');
                    $(overlaySpinElement).addClass('d-none');
                    kivicareShowErrorMessage(messageSpanElementId,'<?php echo esc_html__("Internal server error","kc-lang"); ?>');
                    console.log(error);
                });
            }

            function checkChildWindow(){
                if(child.closed && payment_status === ''){
                    clearInterval(timer);
                    let formElement = jQuery('#payment_mode_form')
                    kivicareButtonDisableChangeText(formElement,false,'<?php echo esc_html__('Confirm','kc-lang');?>');
                    jQuery(formElement).css('opacity','');
                    jQuery(formElement).find('.kivi-overlay-spinner').addClass('d-none');
                    tabShow('#payment_error');
                    if(appointment_id !== ''){
                        axios.get('<?php echo esc_url(admin_url('admin-ajax.php'));?>'+'?action=ajax_get&route_name=appointment_delete&id='+appointment_id)
                            .then((response) => {
                            })
                            .catch((error) => {
                                console.log(error);
                            })
                    }
                }
            }

            window.onbeforeunload = function () {
                if(child !== ''){
                    child.close()
                }
            }
            $(document).on('click','#payment_mode_confirm_loader',function(e){
                e.preventDefault();
                if(child !== ''){
                    child.focus()
                }
            })

            function showPaymentPage(target, currentTab){
                var name = $('.selected-service');
                var selectedService = [];
                let  description = document.getElementById('appointment-descriptions-field');
                description = description !== null ? description.value : ''

                for (let i = 0; i < name.length; i++) {
                    if (name[i].checked == true) {
                        selectedService.push({
                            'id': name[i].value,
                            'service_id': name[i].attributes.service_id.nodeValue,
                            'name' : name[i].attributes.service_name.nodeValue,
                            'charges' : name[i].attributes.service_price.nodeValue
                        })
                    }
                }
                post('get_widget_payment_options',{clinic_id:kivicareGetSelectedItem('selected-clinic'),doctor_id:kivicareGetSelectedItem('selected-doctor'),service_list:selectedService,time:kivicareGetSelectedItem('selected-time'),date:appointmentDate,description:description,file:appointmentUploadFiles, custom_field:appointment_custom_fields})
                    .then((response) =>{
                        $('#kivi_confirm_payment_page').removeClass('d-none')
                        $('#confirm_loader').addClass('d-none')
                        if(response.data.status){
                            document.getElementById('kivi_confirm_payment_page').innerHTML = response.data.data
                        }
                    }).catch((error) => {
                    $('#kivi_confirm_payment_page').removeClass('d-none')
                    $('#confirm_loader').addClass('d-none')
                    console.log(error);
                    kivicareShowErrorMessage('kivicare_error_msg_confirm','<?php echo esc_html__("Internal server error","kc-lang"); ?>');
                })

                $(`[href="#${currentTab}"]`).closest('.tab-item').attr('data-check', true)
                $(`[href="${target}"]`).closest('.tab-item').addClass('active')
                tabShow(target);
            }

        })(window.jQuery)
    }
    function kivicareCheckPaymentStatus(newStatus,newAppointmentID){
        clearInterval(timer);
        switch (newStatus){
            case 'approved':
                kivicarePrintContent(newAppointmentID)
                jQuery(`[href="#confirm"]`).closest('.tab-item').attr('data-check', true)
                jQuery(`[href="#confirm"]`).closest('.tab-item').removeClass('active')
                tabShow('#confirmed');
                break;
            case 'failed':
                let formElement = jQuery('#payment_mode_form')
                kivicareButtonDisableChangeText(formElement,false,'<?php echo esc_html__('Confirm','kc-lang');?>');
                jQuery(formElement).css('opacity','');
                jQuery(formElement).find('.kivi-overlay-spinner').addClass('d-none');
                tabShow('#payment_error');
                break;
        }
    }

    var prr = '';

    var config = '';

    function kivicarePrintContent(id) {
        axios.get('<?php echo esc_url(admin_url('admin-ajax.php'));?>'+'?action=ajax_get&route_name=get_appointment_print&id='+id+'&calendar_enable=yes')
            .then((response) => {
                if (response.data.status !== undefined && response.data.status === true) {
                    prr = response.data.data;
                    if(response.data.calendar_content !== undefined && response.data.calendar_content !== ''){
                        config= response.data.calendar_content
                        const button = document.querySelector('#kivicare-add-to-calendar');
                        button.classList.remove('d-none');
                        button.addEventListener('click', () => atcb_action(config, button))
                    }
                    // document.body.innerHTML = prr;
                }
            })
            .catch((error) => {
                console.log(error);

            })
    }

    jQuery(document).on('click','#kivicare_print_detail', function(){
        jQuery( prr ).printArea( {} );
    })

    function tabShow(target) {
        let $ = jQuery;
        jQuery(target).addClass('active').siblings().removeClass('active');
        const tab = jQuery(target).closest('.tab-content').attr('id');
        const event = new CustomEvent(`tabShown-${tab}`, {
            detail: {
                target: target,
            },
        })
        document.dispatchEvent(event);
    }
    function kivicareButtonDisableChangeText(ele,disableEnable,buttonText){
        let element = jQuery(ele).find('button[type="submit"]');
        element.prop('disabled', disableEnable);
        element.html(buttonText);
    }

    function kivicareButtonDisableBackButton(ele,disableEnable){
        let element = jQuery(ele).find('button[id="iq-widget-back-button"]');
        element.prop('disabled', disableEnable);
    }

</script>