<?php

namespace App\controllers;

use App\baseClasses\KCBase;
use App\baseClasses\KCRequest;

class KCPatientReportController extends KCBase
{

    public $db;

    private $request;

    public function __construct() {

        global $wpdb;

        $this->db = $wpdb;

        $this->request = new KCRequest();

    }

    public function uploadPatientReport(){
        $request_data = $this->request->getInputs();
        $response = apply_filters('kcpro_upload_patient_report', [
            'upload_data' => $request_data
        ]);
        echo json_encode($response);

    }
    public function getPatientReport(){
        $request_data = $this->request->getInputs();
        $response = apply_filters('kcpro_get_patient_report', [
            'pid'=>(int)$request_data['patinet']
        ]);
        echo json_encode($response);
    }
    public function viewPatientReport(){
        $request_data = $this->request->getInputs();
        $response = apply_filters('kcpro_view_patient_report', [
            'pid'=>(int)$request_data['patient_id'],
            'docid'=>(int)$request_data['doc_id']
        ]);
        echo json_encode($response);
    }
    public function deletePatientReport(){
        $request_data = $this->request->getInputs();
        $response = apply_filters('kcpro_delete_patient_report', [
            'report_id'=>(int)$request_data['id'],
        ]);
        echo json_encode($response);
    }
    public function patientReportMail(){
        $request_data = $this->request->getInputs();
        $status = false;
        $message = esc_html__('Failed to send report', 'kc-lang');

        if(isset($request_data['data']) && !empty($request_data['data']) && is_array($request_data['data']) && !empty($request_data['patient_id'])){

            global $wpdb;
            $patient_report = collect($request_data['data'])->pluck('upload_report')->toArray();
            if(!empty($patient_report) && count($patient_report) > 0){
                $user_email = $wpdb->get_var('select user_email from '.$wpdb->base_prefix.'users where ID='.(int)$request_data['patient_id']);
                $patient_report = array_map(function ($v){
                    return get_attached_file($v);
                },$patient_report);
                $data = [
                    'user_email' => $user_email != null ? $user_email : '',
                    'attachment_file' => $patient_report,
                    'attachment' => true,
                    'email_template_type' => 'patient_report'
                ];

                $status = kcSendEmail($data);
                $message = $status ? esc_html__('Report sent successfully', 'kc-lang') : esc_html__('Failed to send report', 'kc-lang');
            }
        }
        $response = [
            'status' => $status,
            'message' => $message,
        ];
        echo json_encode($response);
        die;
    }
}