<?php

namespace App\controllers;

use App\baseClasses\KCRequest;
use DateTime;

class KCReportController extends \App\baseClasses\KCBase
{

    /**
     * @var KCRequest
     */
    public $db;

    private $request;

    public function __construct()
    {
        global $wpdb;

        $this->db = $wpdb;

        $this->request = new KCRequest();
    }

    public function getAllReportType(){

        $data['years']  = $this->getYears(date('Y'));
        $data['months'] = kcGetAllMonth();
        $data['weeks']  = $this->kcGetAllWeeksInVue(date('Y'));
        $data['default_week']  = date('W');
        $data['default_month'] = date('m');
        $data['default_year']  = date('Y');

        $prefix_postfix = kcGetClinicCurrenyPrefixAndPostfix();
        $clinic_currency = [
            'prefix' => !empty($prefix_postfix['prefix']) ? $prefix_postfix['prefix'] : '',
            'postfix' => !empty($prefix_postfix['postfix']) ? $prefix_postfix['postfix'] : ''
        ];

        echo json_encode([
            'status'  => true,
            'data' => $data,
            'clinic_currency' => $clinic_currency,
            'message' => esc_html__('Report Type.', 'kc-lang')
        ]);

    }

    public function  getClinicRevenue(){

        if(isKiviCareProActive()){
            $request_data = $this->request->getInputs();
            $response = apply_filters('kcpro_get_clinic_revenue',$request_data);
            echo json_encode($response);
        }else{
            echo json_encode([
                'status'  => true,
                'data' => [],
                'labels' => [],
                'message' => esc_html__('Clinic Revenue', 'kc-lang'),
            ]);
        }
        die;

    }

    public function getClinicBarChart(){
        if(isKiviCareProActive()){
            $request_data = $this->request->getInputs();
            $response = apply_filters('kcpro_get_clinic_bar_chart',$request_data);
            echo json_encode($response);
        }else{
            echo json_encode([
                'status'  => true,
                'date'=> [],
                'data'=>  [],
                'message' => esc_html__('Clinic Revenue', 'kc-lang'),
            ]);
        }
        die;

    }

    public function doctorRevenue(){

        if(isKiviCareProActive()){
            $request_data = $this->request->getInputs();
            $response = apply_filters('kcpro_doctor_revenue',$request_data);
            echo json_encode($response);
        }else{
            echo json_encode([
                'status'  => true,
                'data'    => [],
                'date'    => [],
                'message' => esc_html__('Clinic Revenue', 'kc-lang'),
            ]);
        }
        die;

    }

    public function getYears($end_year = ''){
        $start_year = 2020;
        for ($i = $start_year; $i <= $end_year; $i++)
            $years[$i] = $i;
        return $years;
    }

    public function kcGetAllWeeksInVue($year){

        $date = new DateTime;
        $date->setISODate($year, 53);

        $weeks = ($date->format("W") === "53" ? 53 : 52);
        $data = [];

        for($x=1; $x<=$weeks; $x++){
            $dto = new DateTime();
            $dates['week_start'] = $dto->setISODate($year, $x)->format('Y-m-d');
            $dates['week_end']   = $dto->modify('+6 days')->format('Y-m-d');

            if($x<10) {
                $x = '0'.$x;
            }
            $data[$x] = 'week-'.$x.' ('.$dates['week_start'] .' to '. $dates['week_end'].')';
        }

        return $data;
    }

}