<?php
/**
 * Plugin Name: KiviCare - Clinic & Patient Management System (EHR)
 * Plugin URI: https://iqonic.design
 * Description: KiviCare is an impressive clinic and patient management plugin (EHR).
 * Version:3.0.1
 * Author: iqonic
 * Text Domain: kc-lang
 * Domain Path: /languages
 * Author URI: http://iqonic.design/
 **/
use App\baseClasses\KCActivate;
use App\baseClasses\KCDeactivate;
defined( 'ABSPATH' ) or die( 'Something went wrong' );

// Require once the Composer Autoload
if ( file_exists( dirname( __FILE__ ) . '/vendor/autoload.php' ) ) {
	require_once dirname( __FILE__ ) . '/vendor/autoload.php';
} else {
	die( 'Something went wrong' );
}

if (!defined('KIVI_CARE_DIR'))
{
	define('KIVI_CARE_DIR', plugin_dir_path(__FILE__));
}

if (!defined('KIVI_CARE_DIR_URI'))
{
	define('KIVI_CARE_DIR_URI', plugin_dir_url(__FILE__));
}

if (!defined('KIVI_CARE_BASE_NAME'))
{
    define('KIVI_CARE_BASE_NAME', plugin_basename(__FILE__));
}

if (!defined('KIVI_CARE_NAMESPACE'))
{
	define('KIVI_CARE_NAMESPACE', "kivi-care");
}

if (!defined('KIVI_CARE_PREFIX'))
{
	define('KIVI_CARE_PREFIX', "kiviCare_");
}

if (!defined('KIVI_CARE_VERSION'))
{
    define('KIVI_CARE_VERSION', "3.0.1");
}

/**
 * The code that runs during plugin activation
 */
register_activation_hook( __FILE__, [ KCActivate::class, 'activate'] );

/**
 * The code that runs during plugin deactivation
 */
register_deactivation_hook( __FILE__, [KCDeactivate::class, 'deActivate'] );

( new KCActivate )->init();

if(!isKiviCareProActive()){
	add_filter( "plugin_action_links_".KIVI_CARE_BASE_NAME, 'kc_go_pro_settings_link' );
	
	function kc_go_pro_settings_link( $links ) {
		// Build and escape the URL.
		$url = esc_url( add_query_arg(
			'page',
			'kc_go_pro_settings_link',
			'https://codecanyon.net/item/kivicare-pro-clinic-patient-management-system-ehr-addon/30690654'
		) );
		// Create the link.
		$settings_link = "<a href='".esc_url($url)."' class='kivicare-plugin-gopro' target='_blank' style='color: #93003c;'><b>".esc_html__('Go Pro','kc-lang')."</b></a>";
		// Adds the link to the end of the array.
		array_push( $links, $settings_link );
		return $links;
	}
}

$showServiceImageFirst = get_option(KIVI_CARE_PREFIX.'showServiceImageFirst', true);

if(gettype($showServiceImageFirst) == 'boolean'){
	
	$widgetSettingTest = json_decode(get_option(KIVI_CARE_PREFIX.'widgetSetting'), true);
	$showServiceImage1 = ['showServiceImage'=>1];
	$KCfinalArray = $widgetSettingTest + $showServiceImage1;

	update_option(KIVI_CARE_PREFIX.'widgetSetting', json_encode($KCfinalArray));
	update_option(KIVI_CARE_PREFIX.'showServiceImageFirst', 'added');
}

( new KCDeactivate() );
